/*
 * #%L
 * *********************************************************************************************************************
 * 
 * SolidBlue - open source safe data
 * http://solidblue.tidalwave.it - hg clone https://bitbucket.org/tidalwave/solidblue-src
 * %%
 * Copyright (C) 2011 - 2013 Tidalwave s.a.s. (http://tidalwave.it)
 * %%
 * *********************************************************************************************************************
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 * 
 * *********************************************************************************************************************
 * 
 * $Id$
 * 
 * *********************************************************************************************************************
 * #L%
 */
package it.tidalwave.integritychecker.archive.createconfirmation.ui.netbeans;

import javax.annotation.Nonnull;
import org.openide.util.lookup.ServiceProvider;
import it.tidalwave.actor.MessageSupport;
import it.tidalwave.netbeans.role.provider.RoleProvider;
import it.tidalwave.netbeans.actor.MessageDecoratorRoleSupport;
import it.tidalwave.integritychecker.archive.OpenScanArchiveRequest;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@ServiceProvider(service=RoleProvider.class)
public class OpenScanArchiveRequestDecoratorRole extends MessageDecoratorRoleSupport<OpenScanArchiveRequest>
  {
    @Override @Nonnull
    public MessageSupport createDecoratedMessage (final @Nonnull OpenScanArchiveRequest request) 
      {
        return new ScanArchiveCreationConfirmationRequest(request);
      }
  }
